Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055500 - Review Request: libgssh - Friendly GIO wrapper for libssh [NEEDINFO]
Summary: Review Request: libgssh - Friendly GIO wrapper for libssh
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1055501 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 12:25 UTC by Patrick Uiterwijk
Modified: 2016-08-14 15:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 15:31:10 UTC
sgallagh: fedora-review+
ignatenko: needinfo? (puiterwijk)
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Uiterwijk 2014-01-20 12:25:21 UTC
Spec URL: http://puiterwijk.fedorapeople.org//libgssh.spec
SRPM URL: http://puiterwijk.fedorapeople.org//libgssh-2014.1-1.fc20.src.rpm

Description:
This library wraps and extends libssh, providing an asynchronous
GIO-like API.

Comment 1 Patrick Uiterwijk 2014-01-20 12:26:24 UTC
*** Bug 1055501 has been marked as a duplicate of this bug. ***

Comment 2 Patrick Uiterwijk 2014-01-20 12:27:38 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6429169

Comment 3 Colin Walters 2014-01-22 13:22:42 UTC
I should note here that while originally libgssh depended on libgsystem (a copylib), it now only depends on the "libgsystem-local-alloc" copylib which is a subset of libgsystem - it's about 150 lines of code.

Comment 4 Stephen Gallagher 2014-01-24 15:24:13 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== Issues =====
* Package bundles libgsystem-local-alloc. Bundling exception required.
* Commented-out "Requires:" line should be removed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 1 files have unknown license. Detailed output of licensecheck
     in /dev/shm/1055500-libgssh/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libgssh-2014.1-1.fc21.x86_64.rpm
          libgssh-devel-2014.1-1.fc21.x86_64.rpm
          libgssh-2014.1-1.fc21.src.rpm
libgssh.x86_64: W: spelling-error Summary(en_US) libssh -> lib ssh, lib-ssh, bullish
libgssh.x86_64: W: spelling-error %description -l en_US libssh -> lib ssh, lib-ssh, bullish
libgssh.x86_64: E: incorrect-fsf-address /usr/share/doc/libgssh/COPYING
libgssh-devel.x86_64: W: no-documentation
libgssh.src: W: spelling-error Summary(en_US) libssh -> lib ssh, lib-ssh, bullish
libgssh.src: W: spelling-error %description -l en_US libssh -> lib ssh, lib-ssh, bullish
3 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libgssh libgssh-devel
libgssh.x86_64: W: spelling-error Summary(en_US) libssh -> lib ssh, lib-ssh, bullish
libgssh.x86_64: W: spelling-error %description -l en_US libssh -> lib ssh, lib-ssh, bullish
libgssh.x86_64: E: incorrect-fsf-address /usr/share/doc/libgssh/COPYING
libgssh-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
libgssh (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libssh.so.4()(64bit)
    rtld(GNU_HASH)

libgssh-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libgssh(x86-64)
    libgssh-1.so.1()(64bit)
    pkgconfig(gio-unix-2.0)



Provides
--------
libgssh:
    libgssh
    libgssh(x86-64)
    libgssh-1.so.1()(64bit)

libgssh-devel:
    libgssh-devel
    libgssh-devel(x86-64)
    pkgconfig(libgssh-1)



Source checksums
----------------
https://git.gnome.org/browse/libgssh/snapshot/libgssh-2013.1.tar.gz :
  CHECKSUM(SHA256) this package     : 6bcfe4bcdf796b742d92d8d921bae8e1e1c61a039e04e3f66d319efae649bf0f
  CHECKSUM(SHA256) upstream package : 6bcfe4bcdf796b742d92d8d921bae8e1e1c61a039e04e3f66d319efae649bf0f


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1055500 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Colin Walters 2014-01-28 21:47:57 UTC
(In reply to Stephen Gallagher from comment #4)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> ===== Issues =====
> * Package bundles libgsystem-local-alloc. Bundling exception required.

Hmm...looks like this was stuck here:
https://fedorahosted.org/fpc/ticket/383

I just commented.

Comment 6 Patrick Uiterwijk 2014-03-28 12:54:31 UTC
Sorry, I had been waiting for a new release with the external libgsystem.
This release has now been made, and I updated the package.

New Spec URL: http://puiterwijk.fedorapeople.org//libgssh.spec
New SRPM URL: http://puiterwijk.fedorapeople.org//libgssh-2014.2-1.fc20.src.rpm

Comment 7 Stephen Gallagher 2014-04-01 14:47:43 UTC
Updated packages look good to me. Approved.

Comment 8 Patrick Uiterwijk 2014-04-09 15:22:06 UTC
New Package SCM Request
=======================
Package Name: libgssh
Short Description: Friendly GIO wrapper for libssh
Owners: puiterwijk
Branches: f19 f20 epel7
InitialCC:

Comment 9 Gwyn Ciesla 2014-04-09 15:55:05 UTC
Git done (by process-git-requests).

Comment 10 Michael Schwendt 2015-02-19 20:25:01 UTC
Package not imported yet!

And the download links give 404 Not Found!

Comment 11 Stephen Gallagher 2016-07-20 15:31:56 UTC
Sorry, closed accidentally.

Comment 12 Igor Gnatenko 2016-08-14 15:59:27 UTC
ping?


Note You need to log in before you can comment on or make changes to this bug.